Last Comment Bug 529945 - Build problems on Linux and W32
: Build problems on Linux and W32
Status: VERIFIED FIXED
: pp
Product: Calendar
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: x86 Windows XP
: -- blocker with 1 vote (vote)
: ---
Assigned To: Philippe M. Chiasson (:gozer)
:
Mentors:
http://tinderbox.mozilla.org/showbuil...
Depends on:
Blocks: 1.0b1
  Show dependency treegraph
 
Reported: 2009-11-19 14:53 PST by Tony Mechelynck [:tonymec]
Modified: 2012-01-11 06:23 PST (History)
3 users (show)
ssitter: blocking‑calendar1.0+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Tony Mechelynck [:tonymec] 2009-11-19 14:53:42 PST
See http://ftp.mozilla.org/pub/mozilla.org/calendar/sunbird/nightly/latest-comm-1.9.1/

Latest W32 nightly is dated 2009-11-18 (one day overdue)
Latest Linux nightly is dated 2009-11-17 (two days overdue)
Mac nightly seem to be still building
Comment 1 cmtalbert 2009-11-19 14:56:09 PST
This looks like a buildbot level error.  Gozer, would you mind taking a look?

http://tinderbox.mozilla.org/showlog.cgi?log=Calendar1.0/1258659025.1258659048.18020.gz&fulltext=1
Comment 2 Martin Schröder [:mschroeder] 2009-11-19 15:19:54 PST
The Linux box just vanished (probably hang), and the Windows box seems to run out of disc space.
Comment 3 Philippe M. Chiasson (:gozer) 2009-11-20 10:24:57 PST
Linux buildbot crashed hard, looks like, restarted it.

Win32/Mac/Linux boxes were low on space, since some renaming after comm-1.9.1/comm-central split builders for Lightning. Cleaned up orphaned build directories.

The Win32 slave still needs some handholding, as various hg repos had leftover locks, but that's fixed now.
Comment 4 Tony Mechelynck [:tonymec] 2009-11-20 11:57:10 PST
Lightning and gdata-provider are still not being built on Windows & Linux, see http://ftp.mozilla.org/pub/mozilla.org/calendar/lightning/nightly/latest-comm-1.9.1/ and its subdirectories

I confirm that a Sunbird nightly for Linux has been built and could be installed, as follows:

User Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1.6pre) Gecko/20091120 Calendar/1.0pre

Build ID: 20091120093806
Comment 5 Tony Mechelynck [:tonymec] 2009-11-20 13:32:23 PST
Update: Since my previous comment, Lightning and gdata-provider nightlies have been built for Linux (but not W32). The new Linux gdata-provider.xpi installs successfully in the Sunbird nightly mentioned in comment #3.
Comment 6 Tony Mechelynck [:tonymec] 2009-11-20 13:33:06 PST
...oops... mentioned in comment #4.
Comment 7 Philippe M. Chiasson (:gozer) 2009-11-21 17:49:05 PST
Win32 XPIs can be found as of 21-Nov-2009 06:51
Comment 8 Tony Mechelynck [:tonymec] 2009-11-22 09:35:49 PST
(In reply to comment #7)
> Win32 XPIs can be found as of 21-Nov-2009 06:51

...and W32 Sunbird nightlies are also being built. (Of course, on this Linux box I cannot test them but I'll assume they're as good as they used to be).

=> VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.